from pathlib import Path
import os
import sys


def get_files_recursive(path: Path, extensions: list[str] | None) -> list[Path]:
    if not extensions:
        return list(path.rglob("*.*"))
    else:
        ret = []
        for ext in extensions:
            ret.append(list(search_path.rglob(f"*.{ext}")))
        return ret
    
def _delete_empty_dirs(path: Path) -> bool:
    found_empty = False
    for curdir, subdirs, files in os.walk(path):
        if len(subdirs) == 0 and len(files) == 0:
            found_empty = True
            os.rmdir(curdir)
    return found_empty

def delete_empty_dirs_recursive(path: Path):
    found_empty = True
    while found_empty:
        found_empty = _delete_empty_dirs(path)


def replace_filename(path: Path, replacement: str) -> Path:
    return path.parent / (replacement + path.suffix)
 
