import os
from pathlib import Path
import uuid
import shutil
import subprocess
import logging

from jgutils.filesystem import replace_filename

logger = logging.getLogger(__name__)

def ffmpeg(input_path: Path, output_path: Path) -> int:

    identifier = str(uuid.uuid4())
    input_tmp = replace_filename(input_path, identifier)
    shutil.copy(input_path, input_tmp)
    
    output_tmp = reaplce_filename(output_path, identifier)
    cmd = f"ffmpeg -i '{input_tmp}' -ab 320k -map_metadata 0 -id3v2_version 3 '{output_tmp}'"

    os.makedirs(output_path.parent, exist_ok=True)
    status = subprocess.run(cmd, shell=True)

    input_tmp.unlink()
    if status.returncode == 0:
        shutil.move(output_tmp, output_path)
    else:
        logger.error("Error converting: %s", input_path)
    return status.returncode

