from pydantic import BaseModel

class Song(BaseModel):

    title: str
    identifier: str
    formats: list[Path] = []

class Album(BaseModel):

    title: str
    songs: list[Song] = []

class Artist(BaseModel):

    name: str
    albums: list[Album] = []
    songs: list[Song] = []

    def get_album(self, title: str) -> Album | None:
        for album in self.albums:
            if album.title == title:
                return album
        return None

